#!/bin/sh

lesson="$1"

if [ -z "$1" ]; then
  echo "Usage: $0 [lesson-number]"
  exit 1
fi

case "$lesson" in
  0|1) 
     echo "Troubleshooting Lesson 1, breaking system..."
     su - -c "zmcontrol stop" zimbra 
     chown -R root:root /opt/zimbra/store
     echo "System broken, please troubleshoot it - "
     echo "   Please try to start your ZCS server, then login to Zimbra Web Client and send a message, and proceed from there."
  ;;
  2)
     echo "Troubleshooting Lesson 2, breaking system..."
     ps axuwww | grep mailboxd | grep java | grep -v grep | \
	awk '{print $2}' | xargs kill -s 11
     echo "System broken, please troubleshoot it - "
     echo "   Please try to login to your ZCS Admin page and proceed from there."
  ;;
  fix)
     echo "Here are the answers:"
     echo "Lesson 1: su -c \"zmfixperms -extended\" zimbra"
     echo "Lesson 2: su - -c \"zmmailboxdctl start\" zimbra"
     echo "Lesson 3: /etc/init.d/network restart"
  ;;
esac
